<div class="title is-3">Editar usuario: <%= @changeset.data.username %></div>

<%= if error = get_flash(@conn, :error) do %>
<article class="message is-danger">
  <div class="message-header">
    <p><%= error %></p>
  </div>
</article>
<% end %>

<div class="field">
  <%= if is_nil(@changeset.data.confirmed_at) do %>
  <%= button(
    "Confirmar usuario",
    to: "/admin/users/confirm/#{@changeset.data.id}",
    method: "patch",
    class: "button is-small",
    data: [confirm: "¿Confirmar al usuario?"])
  %>
  <% end %>
  <%= button(
    "Restablecer contraseña",
    to: "/admin/users/send_pw_reset/#{@changeset.data.email}",
    method: "post",
    class: "button is-small",
    data: [confirm: "¿Enviar mail para restablecer contraseña?"])
  %>
</div>

<div class="columns">
  <div class="column is-one-quarter">
    <figure class="image is-96x96">
      <img class="is-rounded" src="<%= @user.meta.avatar.medium %>">
    </figure>
    <hr>
    <figure class="image">
      <img src="<%= @user.meta.cover %>">
    </figure>
  </div>
  <div class="column">
    <%= form_for @changeset, user_path(@conn, :update, @changeset.data.canonical), fn f -> %>
    <div class="field"><label class="label">
        ID: <%= Embers.Helpers.IdHasher.encode(@user.id) %>
      </label></div>
    <div class="field">
      <label class="label">
        Nombre:
        <p><%= error_tag f, :username %></p>
        <%= text_input f, :username, class: "input", placeholder: "Nombre de usuario", required: true %>
      </label>
      <label class="label">
        Email:
        <p><%= error_tag f, :email %></p>
        <%= text_input f, :email, class: "input", placeholder: "Correo electonico", required: true %>
      </label>
    </div>
    <%= inputs_for f, :meta, fn m -> %>
    <div class="field">
      <label class="label">
        Bio:
        <p><%= error_tag m, :bio %></p>
        <%= textarea m, :bio, class: "textarea", placeholder: "Descripcion del perfil" %>
      </label>
    </div>
    <div class="field">
        <div class="select is-multiple is-small">
          <%= multiple_select f, :roles, Enum.map(@roles, &({&1.name, &1.id})), selected: Enum.map(@user.roles, &(&1.id)) %>
        </div>
    </div>
    <% end %>
    <%= submit "Guardar cambios", class: "button is-success" %>
    <% end %>
  </div>
</div>
